Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/ArtificialAntExpressionGrammar.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/ArtificialAntExpressionGrammar.cs	(revision 3832)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/ArtificialAntExpressionGrammar.cs	(revision 3993)
@@ -38,4 +38,6 @@
       Initialize();
     }
+    [StorableConstructor]
+    protected ArtificialAntExpressionGrammar(bool deserializing) : base(deserializing) { }
 
     private void Initialize() {
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/IfFoodAhead.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/IfFoodAhead.cs	(revision 3832)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/IfFoodAhead.cs	(revision 3993)
@@ -29,4 +29,5 @@
   [Item("IfFoodAhead", "Represents the if-food-ahead symbol in a artificial ant expression.")]
   public sealed class IfFoodAhead : Symbol {
+    public IfFoodAhead() : base("IfFoodAhead", "Represents the if-food-ahead symbol in a artificial ant expression.") { }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Left.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Left.cs	(revision 3832)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Left.cs	(revision 3993)
@@ -29,4 +29,5 @@
   [Item("Left", "Represents the turn-left symbol in a artificial ant expression.")]
   public sealed class Left : Symbol {
+    public Left() : base("Left", "Represents the turn-left symbol in a artificial ant expression.") { }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Move.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Move.cs	(revision 3832)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Move.cs	(revision 3993)
@@ -29,4 +29,5 @@
   [Item("Move", "Represents the move-forward symbol in a artificial ant expression.")]
   public sealed class Move : Symbol {
+    public Move() : base("Move", "Represents the move-forward symbol in a artificial ant expression.") { }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Prog2.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Prog2.cs	(revision 3832)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Prog2.cs	(revision 3993)
@@ -30,4 +30,5 @@
   [Item("Prog2", "Represents the sequence symbol with 2 sub-trees in a artificial ant expression.")]
   public sealed class Prog2 : Symbol {
+    public Prog2() : base("Prog2", "Represents the sequence symbol with 2 sub-trees in a artificial ant expression.") { }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Prog3.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Prog3.cs	(revision 3832)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Prog3.cs	(revision 3993)
@@ -29,4 +29,5 @@
   [Item("Prog3", "Represents the sequence symbol with 3 sub-trees in a artificial ant expression.")]
   public sealed class Prog3 : Symbol {
+    public Prog3() : base("Prog3", "Represents the sequence symbol with 3 sub-trees in a artificial ant expression.") { }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Right.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Right.cs	(revision 3832)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/Symbols/Right.cs	(revision 3993)
@@ -29,4 +29,5 @@
   [Item("Right", "Represents the turn-right symbol in a artificial ant expression.")]
   public sealed class Right : Symbol {
+    public Right() : base("Right", "Represents the turn-right symbol in a artificial ant expression.") { }
   }
 }
